WebSphere Portal V6.1.0.4 and V6.1.5.1 hardware and software requirements - z/OS

Product documentation


Abstract

IBM WebSphere Portal V6.1.0.4 and 6.1.5.1 hardware and software requirements on a z/OS operating system. The hardware and software requirements reflect the versions of prerequisite and corequisite that were tested with WebSphere Portal V6.1.0.4 and 6.1.5.1.

Content

The hardware and software requirements reflect the versions of prerequisites and corequisites that were tested with WebSphere Portal V6.1.0.4 and 6.1.5.1.

WebSphere Portal Server Version 6.1.0.4 and 6.1.5.1 (z/OS)

This page describes the minimum product levels that need to be installed before opening a problem report with IBM WebSphere Portal Technical Support. The software versions and any maintenance levels listed on this page have been explicitly verified as working.

EARLIER LEVEL OF A LISTED SOFTWARE: Software versions at a lower level than those noted on this page are unsupported. LDAP software at an earlier level is considered untested and best effort support only. For more details and exceptions, refer to the WebSphere Portal 6.1.x Support Statement. Also see the listing of software explicitly not supported for use with WebSphere Portal 6.1.x in WebSphere Portal Support Statement Addendum - Unsupported Products (#7012957).

LATER LEVEL OF A LISTED SOFTWARE: Because other products frequently ship fixes, updates, and new releases, testing every configuration is not possible. In general, you can install and run with updates to supported products if those updates are compatible with the tested versions. For more details and exceptions, refer to the WebSphere Portal 6.1.x Support Statement. Also see the listing of software explicitly not supported for use with WebSphere Portal 6.1.x in WebSphere Portal Support Statement Addendum - Unsupported Products (#7012957).

UNLISTED SOFTWARE: Software not listed on this page at any level is unsupported. LDAP software not listed is considered untested and best effort support only. For more details and exceptions, refer to the WebSphere Portal 6.1.x Support Statement. Also see the listing of software explicitly not supported for use with WebSphere Portal 6.1.x in WebSphere Portal Support Statement Addendum - Unsupported Products (#7012957).

Operating system
Bit-Architecture supported
  • WebSphere Portal and WebSphere Application Server = 64-bit mode only
  • Operating System = 64-bit only
z/OS hardware requirements
  • Any hardware that supports z/OS V1.8 or later
  • 4 GB memory minimum
  • 2 GB Java Heap Size
  • Disk space is required for all products in the software requirements section and additional storage for IBM WebSphere Portal Enable for z/OS and SMP/E (See the program directory for disk space requirements)
Java
The WebSphere-supplied Java 2 SDK is required for both the run time and any remote Java clients.
  • IBM 31-bit SDK for z/OS, Java 2 Technology Edition V5.0 (required for installation)
  • IBM 64-bit SDK for z/OS, Java 2 Technology Edition V5.0 (1.5 SR11 - required for runtime) with Application Server V6.1
  • IBM SDK for z/OS, Java Technology Edition, V6.0 (1.6 SR6) with Application Server version V7.0
Application Servers
Databases
Java Database Connectivity (JDBC) Drivers
  • DB2 Universal JDBC Drivers from DB2 for z/OS:
    • For DB2 V8.1: JCC 2.11 and above with APAR PK94785 or JCC 3.58 and above with APAR PK93123
    • For DB2 V9.1: JCC 3.58 and above with APAR PK93123.
    APAR fixes are available from DB2 on z/OS support or IBMLINK
Web servers
Web browsers
(required for administration/configuration, sample program execution and launch pad.)
LDAP servers
Software for collaboration -Domino and Extended Products (optional; if installed, install on a external system)
Software for content management (optional; if installed, install on a external system)
External Security software (optional; if installed, install on a external system)
Software for portlet development (optional; if installed, install on a external system)
  • IBM Rational Application Developer Version 7.0.0.6 and 7.0.5 (plugin for UTE)
  • IBM Portlet Factory V6.1.5, 6.1
JavaScript Library

Related information
Detailed system requirements
WebSphere Portal Information Centers and more
Support Statement

Top of page

See disclaimer.

Required details:

1a. The following PTFs are required for z/OS V1.9:

UA36265
UA36985
UA36989
UA39241
UA39869
UA40089
UA40198
UA40456
UA40846
UA40857
UA41061
UA41064
UA41369
UA42137
UA42550
UA43232
UK38141
UK38948

1d. Refer to technote #1398123 for WebSphere Process Server V6.2 Client installation

2. Supports High Availability Disaster Recovery (HADR) Feature.

2a. For optimal performance with DB2 for z/OS, install the following updates:
  • For DB2 for z/OS V8 -- Make sure that you have the following PTFs installed:
    UK36555 - DB2 improves the performance of selected queries
    UK37970 - DB2 was fixed to transform the subquery into a join
    UK37971 - DB2 addresses CORRELATED SUBQUERY TO JOIN TRANSFORMATION ENHANCEMENT FOR MULTI-TABLE JOINS IN ANY QUERY BLOCK
  • For DB2 for z/OS V9 -- Make sure that you have the following PTF installed:
    UK45641 - DB2 avoids the usage of workfiles for Nested Join Loop

3a. Apache Server 2.0.5.9 includes CERT Advisory CA-2002-17. Apache 2.2.x is supported with WebSphere Application Server 7.0. To configure Apache 2.2.x with WebSphere Application Server 6.1.x, see Installing WebSphere HTTP Plug-in for Apache 2.2.

3b. HTTP Server for i5/OS is provided natively on System i5 and is not bundled with or installed by WebSphere Portal. For V5R4, supported group PTF is SF99114 level 13; for V6R1, supported group PTF is SF99115 level 1. For V5R4, the license program number is 5722DG1; for V6R1, the license program number is 5761DG1. Issue the GO LICPGM to display all the installed licensed programs. For WebSphere Application 6.1.0.21 on V6R1M0, apply SI35071. For WebSphere Application 7.0.0.1 on V6R1M0, apply SI35078.

3c. The selected Web server does not run on the z/OS operating system. However, IBM provides the plug-in binaries for the operating system on which the Web server can run.

5a. For 7.0.2 & 7.0.1: Apply SPR KLIN6LRTHJ to be able to return Groups and Users by direct lookup.

5b. Add APAR IO02714 available at IBM Support.

6. When using Tivoli Access Manager 6.0 for authorization or integrated user provisioning with WebSphere Portal, the Tivoli Access Manager AMJRTE component must be at the Version 5.1 fix pack 2 level or later. This version of AMJRTE component is automatically installed with WebSphere Application Server Version 5.1.1 or later, but must still be configured to work with WebSphere Portal .

6a. Safari is not supported for use with the Common Mail portlet. For additional information, see Limitations on Safari Web browser.

6b. Drag and Drop functionality of administering portlets and pages is not supported with Opera. Opera is not supported for use with the Common Mail portlet or the Domino and Extended Products Portlets. For additional information, see Limitations on Opera Web browser.

6e. Mashup Integration not supported with Safari for Windows

6f. PageBuilder, Mashup Integration and Wiki/Blogs in V6.1.5.1 are not supported or functional when using Microsoft Internet Explorer V6.0.

10. To take advantage of the support for Microsoft Internet Explorer version 8.0, or to use the new features in 6.1.5.1 such as Mashups integration and the Page Builder Theme, you will need to use Dojo V1.3.2. Refer to the topic "Using a different Dojo version" at http://publib.boulder.ibm.com/infocenter/wpdoc/v6r1/topic/com.ibm.wp.ent.doc_v615/admin/epc_use_prior_dojo.html for more information.

Top of page

Disclaimer
IBM reserves the right to change specifications and other product information without prior notice. This publication could include technical inaccuracies or typographical errors. References herein to IBM products and services do not imply that IBM intends to make them available in other countries. IBM PROVIDES THIS PUBLICATION AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some jurisdictions do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.

Top of page


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere Portal
Installation

Software version:

6.1.0.4, 6.1.5.1

Operating system(s):

z/OS

Software edition:

Enable

Reference #:

7018303

Modified date:

2010-10-15

Translate my page

Machine Translation

Content navigation